AnsweredAssumed Answered

arm-poky-linux

Question asked by luo yaojun on Mar 20, 2020
Latest reply on Jun 8, 2020 by 宣 薛

官方bitbake生成的新toolchain必须使用$CC来使用toolchain了? 无法再像老版本生成的toolchain一样直接使用arm-poky-linux-gnueabi-gcc -o a a.c来编译文件了?

 

另外: bitbake生成的toolchain无法用于编译buildroot? 有人成功使用arm-poky-linux-gnueabi-gcc编译过buildroot吗?在buildroot中正确配置了nxp的toolchain后报错:Unable to detect the toolchain sysroot, Buildroot cannot use this toolchain. 因为nxp的toolchain路径不符合buildroot要求。

Outcomes